# Uses of Class
java.awt.ImageCapabilities

Packages that use ImageCapabilities
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.

## Uses of ImageCapabilities in java.awt

Methods in java.awt that return ImageCapabilities
Modifier and Type
Method
Description
`ImageCapabilities`
BufferCapabilities.`getBackBufferCapabilities()`
Returns the image capabilities of all back buffers (intermediate buffers are considered back buffers).
`ImageCapabilities`
Image.`getCapabilities(GraphicsConfiguration gc)`
Returns an ImageCapabilities object which can be inquired as to the capabilities of this Image on the specified GraphicsConfiguration.
`ImageCapabilities`
BufferCapabilities.`getFrontBufferCapabilities()`
Returns the image capabilities of the front (displayed) buffer.
`ImageCapabilities`
GraphicsConfiguration.`getImageCapabilities()`
Returns the image capabilities of this `GraphicsConfiguration`.
Methods in java.awt with parameters of type ImageCapabilities
Modifier and Type
Method
Description
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage(int width, int height, ImageCapabilities caps)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`, using the specified image capabilities.
`VolatileImage`
GraphicsConfiguration.`createCompatibleVolatileImage(int width, int height, ImageCapabilities caps, int transparency)`
Returns a `VolatileImage` with a data layout and color model compatible with this `GraphicsConfiguration`, using the specified image capabilities and transparency value.
`VolatileImage`
Component.`createVolatileImage(int width, int height, ImageCapabilities caps)`
Creates a volatile off-screen drawable image, with the given capabilities.
Constructors in java.awt with parameters of type ImageCapabilities
Modifier
Constructor
Description
``
`BufferCapabilities(ImageCapabilities frontCaps, ImageCapabilities backCaps, BufferCapabilities.FlipContents flipContents)`
Creates a new object for specifying buffering capabilities

## Uses of ImageCapabilities in java.awt.image

Methods in java.awt.image that return ImageCapabilities
Modifier and Type
Method
Description
`abstract ImageCapabilities`
VolatileImage.`getCapabilities()`
Returns an ImageCapabilities object which can be inquired as to the specific capabilities of this VolatileImage.